Subject: Re: [PATCH] mac80211: aggregation: Convert timers to use timer_setup()

From: Johannes Berg <[email-masked]>
Date: Wed, 18 Oct 2017 13:31:31 +0200

On Wed, 2017-10-18 at 12:29 +0200, Johannes Berg wrote:

> Anyway, the change here looks correct to me, so I'll apply it and then
> perhaps clean up more. I've only changed "u16 tid" to "u8 tid" since
> the valid range is 0-15 (in theory, in practice 0-7).

Well, I guess I'm clearly wrong - it's crashing our test suite left and
right.

I'll dig a little bit, but I don't have much time today, and will be
out for a few days starting tomorrow.

johannes